

package cz.karry.dop.nbmodule.files;

import java.io.IOException;
import org.openide.filesystems.FileObject;
import org.openide.loaders.DataObjectExistsException;
import org.openide.loaders.MultiDataObject;
import org.openide.loaders.UniFileLoader;
import org.openide.util.NbBundle;

public class DopMicroassemblerDataLoader extends UniFileLoader {

    public static final String REQUIRED_MIME = "text/x-microassembler";
    private static final long serialVersionUID = 1L;

    public DopMicroassemblerDataLoader() {
        super("cz.karry.dop.nbmodule.files.DopMicroassemblerDataObject");
    }

    @Override
    protected String defaultDisplayName() {
        return NbBundle.getMessage(DopMicroassemblerDataLoader.class, "LBL_DopMicroassembler_loader_name");
    }

    @Override
    protected void initialize() {
        super.initialize();
        getExtensions().addMimeType(REQUIRED_MIME);
    }

    protected MultiDataObject createMultiObject(FileObject primaryFile) throws DataObjectExistsException, IOException {
        return new DopMicroassemblerDataObject(primaryFile, this);
    }

    @Override
    protected String actionsContext() {
        return "Loaders/" + REQUIRED_MIME + "/Actions";
    }
}
